%define oname FreeImage
%define oversion 3.15.4
%define srcver %(echo %{oversion} | tr -d .)
%define common_summary Image library
%define common_description FreeImage is an Open Source library project for developers who would\
like to support popular graphics image formats like PNG, BMP, JPEG,\
TIFF and others as needed by today's multimedia applications.\
FreeImage is easy to use, fast, multithreading safe, compatible with\
all 32-bit versions of Windows, and cross-platform (works both with\
Linux and Mac OS X).

%define major 3
%define lib_name %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

%define subrel 1

Summary: %{common_summary}
Name: freeimage
Version: 3.154
Release: %mkrel 1
Source0: http://downloads.sourceforge.net/freeimage/%{oname}%{srcver}.zip
# Check Debian repo for patches http://anonscm.debian.org/cgit/collab-maint/freeimage.git
Patch0: freeimage-3.15.4-deb-disable-embedded-libraries.patch
Patch1: freeimage-3.15.4-mga-disable-jpegtransform.patch
Patch2: freeimage-3.15.4-deb-fix-ftbfs-amd64.patch
Patch3: freeimage-3.15.4-deb-makefile-modifications.patch
Patch4: freeimage-3.15.4-deb-tiff-tag-truncation.patch
Patch5: freeimage-3.15.4-deb-fix-libpng15.patch
Patch6: freeimage-3.15.4-mga-fix-forced-ownership.patch
Patch7: FreeImage-3.15.3-CVE-2015-0852.patch
Patch8: freeimage-3.15.4-mga-tiff4-4.0.4.patch
License: GPLv2+
Group: System/Libraries
URL: http://freeimage.sourceforge.net/

BuildRequires:	jpeg-devel
BuildRequires:	libraw-devel
BuildRequires:	mng-devel
BuildRequires:	png-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	openjpeg-devel
BuildRequires:	tiff-devel
Obsoletes: %{oname}

%description
%{common_description}

%package -n	%{lib_name}
Summary:	A library to %{common_summary}
Group:		System/Libraries
Obsoletes:	%{_lib}%{oname}3 < 3.110

%description -n	%{lib_name}
%{common_description}

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{devel_name}
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	lib%{name}3-devel
Obsoletes:	lib%{oname}3-devel
Obsoletes:	%{_lib}%{oname}3-devel < 3.110

%description -n	%{devel_name}
%{common_description}

This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -q -n %{oname}
%apply_patches

# Remove included libs to make sure these don't get used during compile
# Sadly LibTIFF4 can't be removed as TIFF-support relies on private defintions...
rm -rf Source/Lib{JPEG,MNG,OpenJPEG,PNG,RawLite,TIFF} Source/OpenEXR Source/ZLib

%build
sh ./gensrclist.sh
%setup_compile_flags
%make

%install
%make install \
  INCDIR=%{buildroot}%{_includedir} \
  INSTALLDIR=%{buildroot}%{_libdir}


%files -n %{lib_name}
%doc Whatsnew.txt license-*.txt Wrapper/FreeImagePlus/WhatsNew_FIP.txt README.linux
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}-%{oversion}.so

%files -n %{devel_name}
%{_includedir}/%{oname}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a


%changelog
* Fri Sep 04 2015 akien <akien> 3.154-1.1.mga5
+ Revision: 872856
- Update bundled libtiff to 4.0.4, fixing several security issues
- Update to maintenance version 3.15.4
- Unbundle all system libs (except libtiff4, private defs are used in the tiff plugin)
  o libjpeg, libmng, libopenexr, libopenjpeg, libpng, zlib unbundled (Patch0)
  o private jpeg lib unbundled by dropping support for JPEGTransform (Patch1)
- Add patches synced with Debian to fix various issues (Patch2 to 5)

  + luigiwalser <luigiwalser>
    - add upstream patch to fix CVE-2015-0852

* Wed Oct 15 2014 umeabot <umeabot> 3.153-5.mga5
+ Revision: 744657
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.153-4.mga5
+ Revision: 679340
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.153-3.mga4
+ Revision: 504640
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.153-2.mga3
+ Revision: 350906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 fwang <fwang> 3.153-1.mga3
+ Revision: 259241
- new version 3.15.3

* Sat Oct 01 2011 fwang <fwang> 3.151-1.mga2
+ Revision: 150743
- new version 3.151
- new version 3.15.1
  build with internal libs for now, patch on syslibs need to be revised
- rebuild for new libpng

* Mon Feb 28 2011 supp <supp> 3.110-9.mga1
+ Revision: 61341
- imported package freeimage

